%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name Net_Ping

Name:           php-pear-Net-Ping
Version:        2.4.5
Release:        1%{?dist}
Summary:        Execute ping

Group:          Development/Libraries
License:        PHP
URL:            http://pear.php.net/package/Net_Ping
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
Source2:        xml2changelog
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}
Requires:       /bin/ping

%description
OS independent wrapper class for executing ping calls.


%prep
%setup -q -c
# package.xml is V2
%{_bindir}/php -n %{SOURCE2} package.xml >CHANGELOG
mv package.xml %{pear_name}-%{version}/%{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
rm -rf $RPM_BUILD_ROOT docdir
cd %{pear_name}-%{version}
%{__pear} -d download_dir=$PWD install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Move documentation
mv $RPM_BUILD_ROOT%{pear_docdir}/%{pear_name} ../docdir


# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc docdir/docs/examples CHANGELOG
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Net


%changelog
* Sat Nov 14 2009 Remi Collet <Fedora@FamilleCollet.com> 2.4.5-1
- update to 2.4.5 (bugfix)
- rename Net_Ping.xml to php-pear-Net-Ping.xml

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 28 2009 Remi Collet <Fedora@FamilleCollet.com> 2.4.4-1
- update to 2.4.4 (bugfix)

* Fri Dec 28 2007 Remi Collet <Fedora@FamilleCollet.com> 2.4.3-1
- update to 2.4.3

* Tue Jul 16 2007 Remi Collet <Fedora@FamilleCollet.com> 2.4.2-1
- update to 2.4.2
- package is now 2.0 (no need to convert)
- remove LICENSE (Review Guidelines : If (and only if) the source package includes...)

* Wed May 16 2007 Remi Collet <Fedora@FamilleCollet.com> 2.4.1-2
- From review, correct typo.
- add Requires: /bin/ping
- add simple test in %%check 

* Sat May 12 2007 Remi Collet <Fedora@FamilleCollet.com> 2.4.1-1
- initial RPM (generated specfile + cleanup)
- add CHANGELOG and LICENSE
- convert package.xml to package2.xml

